public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/curses/
Date: Tue,  7 Feb 2017 05:26:41 +0000 (UTC)	[thread overview]
Message-ID: <1486444599.0129dab8c669a741402b28729dfb425039da16ce.graaff@gentoo> (raw)

commit:     0129dab8c669a741402b28729dfb425039da16ce
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Feb  7 05:16:39 2017 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Feb  7 05:16:39 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0129dab8

dev-ruby/curses: add 1.1.2

Package-Manager: portage-2.3.3

 dev-ruby/curses/Manifest            |  1 +
 dev-ruby/curses/curses-1.1.2.ebuild | 34 ++++++++++++++++++++++++++++++++++
 2 files changed, 35 insertions(+)

diff --git a/dev-ruby/curses/Manifest b/dev-ruby/curses/Manifest
index 3cd4ac4..5ba13a8 100644
--- a/dev-ruby/curses/Manifest
+++ b/dev-ruby/curses/Manifest
@@ -1,2 +1,3 @@
 DIST curses-1.0.2.gem 34304 SHA256 6bb70325b45b82eacd219ffb51cbcd80b4ecf648493bc528384dfbafa9515e87 SHA512 5c448359106604ccf99d804bf3f2a6c3e62c23fc9e5926198cfdb83f5a108445cd780f1a7cba76a9929cee499d2c9e8ed1a14bcd9b72f9bf2dfde94c685f625d WHIRLPOOL d821fcde5f3033beec401fceb2e9150c48be19960b9f74ffd1aa9cf21b5b560fc9020161a3820ce0bbcc9a17a822e5284e4d265e74cbc4b9990f2e8271dda1f2
 DIST curses-1.1.1.gem 1408000 SHA256 8118e315fd3b470e88a046620b16b8f8ade0019fe79ad4f637eae42179bc0dc7 SHA512 20cae17a20907c79f6ac5a344eee174bcc92aa838cbf032dc28316dd2d75cc218752915320127db774e1ef227fcb57a822693ab45996c5b959c6187fd27ce010 WHIRLPOOL efbbd0084be6b8470bd7d3b8550bf4eae6db61edc41ea6685d2bf849292e66f91bc92d876710e6792d37fbc630b28ba7340972b09be8b617c1af96ecdf4591d8
+DIST curses-1.1.2.gem 1408000 SHA256 3354f983fcce74c63b4c5d37a7ded53df05c8a21b9c724438bc73a633835d00f SHA512 1697d234d4cf238af8d61aab21f2df64812bbaa2381c872a036d22aa1fee17542670d294a3974724b308145d2be7439dfcea620fb8b1d83cb0c8341856ee8cdc WHIRLPOOL a67b6fd655ba2cc0a19ad57417fdbbe7dd2f1b294eb8c0f23c3bcfa074cf3170375b491bfd9c144955b6ee1c57958a666815ea9949955102483d30594d31dd45

diff --git a/dev-ruby/curses/curses-1.1.2.ebuild b/dev-ruby/curses/curses-1.1.2.ebuild
new file mode 100644
index 00000000..3a8c0c2
--- /dev/null
+++ b/dev-ruby/curses/curses-1.1.2.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby21 ruby22 ruby23 ruby24"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_RECIPE_TEST="none"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Ruby binding for curses, ncurses, and PDCurses"
+HOMEPAGE="https://github.com/ruby/curses"
+LICENSE="|| ( Ruby BSD-2 )"
+
+KEYWORDS="~amd64 ~x86"
+
+SLOT="1"
+IUSE=""
+
+DEPEND+=" sys-libs/ncurses:0"
+RDEPEND+=" sys-libs/ncurses:0"
+
+each_ruby_configure() {
+	${RUBY} -Cext/curses extconf.rb || die
+}
+
+each_ruby_compile() {
+	emake V=1 -Cext/curses
+	cp ext/curses/curses.so lib/ || die
+}


             reply	other threads:[~2017-02-07  5:26 UTC|newest]

Thread overview: 38+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-02-07  5:26 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-30 10:18 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/curses/ Hans de Graaff
2024-12-30 10:18 Hans de Graaff
2024-10-22  6:01 Hans de Graaff
2024-10-22  6:01 Hans de Graaff
2024-06-05  5:49 Hans de Graaff
2024-04-26  6:04 Hans de Graaff
2023-12-27 20:33 Hans de Graaff
2022-05-07  6:34 Hans de Graaff
2022-02-03  6:33 Hans de Graaff
2022-01-08 11:47 Hans de Graaff
2021-10-26  4:38 Hans de Graaff
2021-06-16 17:59 Hans de Graaff
2021-05-23  7:16 Hans de Graaff
2020-12-10  5:09 Hans de Graaff
2020-09-15  6:00 Hans de Graaff
2020-09-15  6:00 Hans de Graaff
2020-08-21 15:02 Hans de Graaff
2019-12-21  7:24 Hans de Graaff
2019-04-22  5:40 Hans de Graaff
2019-04-17  5:48 Hans de Graaff
2019-04-17  5:48 Hans de Graaff
2019-01-11  7:33 Hans de Graaff
2019-01-09  9:12 Hans de Graaff
2018-10-17  5:13 Hans de Graaff
2018-01-02  6:51 Hans de Graaff
2018-01-02  6:51 Hans de Graaff
2017-09-14  4:56 Hans de Graaff
2017-09-14  4:56 Hans de Graaff
2017-07-07  5:35 Hans de Graaff
2017-04-23  5:23 Hans de Graaff
2017-04-23  5:23 Hans de Graaff
2017-03-28  4:53 Hans de Graaff
2017-03-15  6:12 Hans de Graaff
2017-03-15  6:12 Hans de Graaff
2017-02-16  6:44 Hans de Graaff
2017-01-25  7:12 Hans de Graaff
2016-07-23 19:09 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1486444599.0129dab8c669a741402b28729dfb425039da16ce.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox